RAWTHERAPEE 4.2 RELEASE NOTES
-----------------------------
In order to use RawTherapee efficiently you should know that:
- You can scroll all panels using the mouse scroll-wheel.
- You can right-click on a tool's name to automatically expand it while collapsing all others.
- To change slider values or drop-down list items with the mouse scroll-wheel, hold the Shift key. This is so that you can safely scroll the panels without accidentally changing a slider or other tool setting.
- All curves support the Shift and Ctrl keys while dragging a point. Shift+drag makes the point snap to meaningful axes (top, bottom, diagonal, other), while Ctrl+drag makes your mouse movement super-fine for precise point positioning.
- There are many keyboard shortcuts which make working with RawTherapee much faster and give you greater control, make sure you familiarize yourself with them on RawPedia's Keyboard Shortcuts page!

NEW FEATURES since 4.1
----------------------
- RawTherapee-4.2 includes many speed, precision, stability and memory usage optimizations. As such, users of 32-bit operating systems may now find that they can enjoy more stability while using the most memory intensive tools. Of course users of 64-bit systems benefit from this as well. Refer to the full changelog for more information.
- Powerful color toning tool.
- Curve control of luminance noise reduction.
- Median filter in the noise reduction tool.
- Film simulation tool using Hald CLUT pattern files.
- Command-line option to define bit depth of output TIFF/PNG file, see --help.
- Multiple improvements to dead/hot pixel handling, see RawPedia.
- Filename of currently opened image shown in the titlebar.
- Clip control for the flat-field correction tool.
- Demosaic method "Mono" for monochrome cameras, and "None" for no demosaicing.
- Copy/paste processing profile keyboard shortcuts for right-handed users using Ctrl/Shift-Insert.
- Update to dcraw 9.22 1.467
- New or improved support for:
  - Canon EOS 7D
  - Canon EOS 7D Mark II
  - Canon PowerShot G7 X
  - Canon PowerShot SX60 HS
  - Fujifilm cameras using the X-Trans sensor
  - Fujifilm X30
  - Hasselblad H4D-31
  - Hasselblad H4D-50
  - Hasselblad H4D-60
  - Hasselblad H5D-40
  - Hasselblad H5D-50c
  - Mamiya Leaf Credo 40
  - Mamiya Leaf Credo 50
  - Mamiya Leaf Credo 60
  - Mamiya Leaf Credo 80
  - Monochrome cameras such as Leica Monochrome
  - Nikon D610
  - Nikon D700
  - Nikon D750
  - Nikon D800E
  - Nikon D810
  - Panasonic Lumix DMC-FZ1000
  - Panasonic Lumix DMC-GM5
  - Panasonic Lumix DMC-LX100
  - Phase One IQ250
  - Phase One P40
  - Phase One P65+
  - Sony Alpha ILCE-5100
  - Sony NEX-C3

Refer to RawPedia for information about RawTherapee's tools and how to use them.

DOCUMENTATION
-------------
http://rawtherapee.com/documentation
http://rawpedia.rawtherapee.com/

REPORTING BUGS
--------------
Find out how to write good bug reports and get stack-backtraces here:
http://rawpedia.rawtherapee.com/How_to_write_useful_bug_reports

LIVE CHAT WITH USERS AND DEVELOPERS
--------------------------------------
  Network: freenode
  Server: chat.freenode.net
  Channel #rawtherapee
Or use freenode webchat to chat without installing anything:
http://webchat.freenode.net/?randomnick=1&channels=rawtherapee&prompt=1
More information here: http://rawpedia.rawtherapee.com/IRC

SOCIAL NETWORKS
---------------
Google+
http://plus.google.com/106783532637761598368

REVISION HISTORY
----------------
The complete changelog is available at:
https://code.google.com/p/rawtherapee/source/list

CHANGELOG for 4.2 since 4.1
----------------------------------------------------------------------
  DATE          | CHANGESET     | COMMITTER
----------------|---------------|-------------------------------------
> 2014-10-24    | 2fbe8cae6e72  | DrSlony
  Updated Chinese (Simplified) interface translation on behalf of Jie
  Luo, issue 2545

> 2014-10-24    | dde50c8e3114  | DrSlony
  Updated Czech interface translation on behalf of mkyral, issue 2546

> 2014-10-23    | 53ab792dd8fb  | DrSlony
  Updated splash screen to 4.2

> 2014-10-23    | 3aaaf1782f5b  | DrSlony
  Update to defaults and re-generated some bundled profiles to make
  better use of modern tools

> 2014-10-23    | bd4695a31fbb  | Ingo
  Camconst.json updates, Issue 2348, thanks to Ilias

> 2014-10-22    | 3eeacadd8cb2  | Philip Rinn
  CACHE_NAME_SUFFIX might be empty for releases.

> 2014-10-22    | 70842f66c10a  | DrSlony
  Added AppData file for better integration with package managers:
  rawtherapee.appdata.xml. Issue 2512

> 2014-10-21    | c7e844c705d0  | DrSlony
  Updated Japanese interface translation on behalf of firefly, issue
  2541

> 2014-10-21    | 12e53c60e165  | DrSlony
  Added option to choose output file bit depth 8-bit/16-bit from
  command-line, see --help. Issue 2525

> 2014-10-20    | 71beb24b5068  | Ingo
  Removed tiling pattern caused by race conditions in Highlight
  Reconstruction method Color propagation, Issue 2481

> 2014-10-20    | 95e9f8ea99ef  | Ingo
  White Balance Blue/Red Equalizer hangs RT or quirks when Method =
  Auto, Issue 2500

> 2014-10-20    | 9981bb569d9a  | DrSlony
  Shortened strings used by the Black-and-White tool, issue 2010#c174

> 2014-10-20    | 8bc05dff00dc  | Ingo
  Speedup for Tone Mapping, Issue 2528

> 2014-10-20    | e2fc9cfe3811  | Ingo
  Reduce peak memory usage of queue processing, Issue 2527

> 2014-10-19    | f075d3c95b02  | DrSlony
  Updated Nederlands (Dutch) interface translation file on behalf of
  wim ter meer, issue 2540

> 2014-10-19    | 6087b3f48c91  | Ingo
  Fixes a crash in METM when closing an Editor tab while File browser
  tab is active, no Issue

> 2014-10-18    | aec241a048cb  | Ingo
  Fixes undefined behaviour in colortemo.cc, no Issue

> 2014-10-17    | 7049ce233713  | DrSlony
  Regenerated remaining interface language files

> 2014-10-17    | da43298d5bbe  | DrSlony
  Changed L a b to L* a* b*, issue 2539

> 2014-10-17    | 60daef593b8d  | DrSlony
  Updated Polish interface translation files, issue 2492

> 2014-10-17    | dcdceb7d7230  | DrSlony
  Revised default interface language file, issue 2539

> 2014-10-17    | cd664a48337e  | DrSlony
  Updated Spanish (Espanol) interface translation file on behalf of
  gerset, issue 2538

> 2014-10-16    | bb28b494c869  | Torger
  Issue 2456, revert to embedded thumb when profile is removed

> 2014-10-15    | 5b7a39cc964d  | DrSlony
  Let hot pixel filter work at all zoom levels so Auto Levels works
  correctly, issue 2535

> 2014-10-12    | d14636783e2f  | Ingo
  RT shows wrong focal length for Pentax K50, Issue 2533

> 2014-10-10    | 2cd312a0b3d9  | Ingo
  Added CanonModelID for some Canon cameras to exif database

> 2014-10-09    | 384fc9aa9635  | Ingo
  Increased precision for Shadows/Highlights (and a small speedup and
  reduced memory consumption for method 'Sharp mask'), Issue 2523

> 2014-10-04    | 110f68244a62  | Ingo
  Speedup for Vibrance and Contrast by Detail Levels, Issue 2520

> 2014-10-02    | 8feab83590ce  | Torger
  Handle Leaf's latest ICC profiles (Leaf Credo 50)

> 2014-10-01    | c6af49cb7028  | Ingo
  Speedup for thumbnail processing, Issue 2503

> 2014-09-30    | d7ec73fbfb79  | DrSlony
  Quality control and fixes of interface language files, see issues
  2506 and 2518

> 2014-09-23    | e1d74ac6fe4d  | Ingo
  removed OPA outpout, no Issue

> 2014-09-18    | dfbc1be9f817  | Jacques Desmis
  Color toning - set opacity to linear does not turns color toning off
  - issue2014

> 2014-09-11    | 0ee975a6965d  | DrSlony
  Updated Japanese interface translation on behalf of firefly, issue
  2505, and fixed Polish GENERAL_BEFORE and GENERAL_AFTER, issue 2492

> 2014-09-11    | ce1c4c9f5f76  | DrSlony
  Updated generateUnusedKeys to handle comments and double-check the
  code verbosely

> 2014-09-10    | 73c163de35d1  | Ingo
  Optimization for dark frames and hot/dead pixel
  detection/interpolation, Issue 2486

> 2014-09-10    | a67738dd51eb  | Ingo
  RT hangs or crashes after trying to open a corrupted file, Issue
  2467

> 2014-09-10    | 34066fbd1cd4  | Jacques Desmis
  Color Toning fixed some bug -auto saturation - Labels - issue2454
  issue2014

> 2014-09-09    | 3742936850e3  | Ingo
  Patch from Issue 2406 revoked

> 2014-09-08    | dc5d929bb2b3  | Torger
  Added Leaf Credo 50

> 2014-09-07    | 250076d19d28  | DrSlony
  Fixed Median Type tooltip by removing old
  TP_DIRPYRDENOISE_MET_TOOLTIP entry

> 2014-09-07    | 59a7adf7491d  | DrSlony
  Updated Default ISO High and Medium.pp3 to use the Luminance curve
  instead of the Luminance slider, issue 2463

> 2014-09-05    | 73afcbeb4260  | Michael Ezra
  Filter enhancement: exclusion criteria (issue 2487)

> 2014-09-02    | d082e8492e11  | Jacques Desmis
  Array out of bound access - Color Toning issue2485 - Thanks Ingo

> 2014-09-01    | c4df874fb469  | Ingo
  Division by zero in Raw Whitepoint Correction, reported by cppcheck,
  no Issue

> 2014-08-31    | 1c096febc076  | Ingo
  Random crashes when using Luminance denoise curve, Issue 2463

> 2014-08-30    | 741440b2f92f  | Hombre
  Slight code cleanup in simpleprocess.cc (no issue).

> 2014-08-30    | 24c0634edfd3  | Jacques Desmis
  Luminance Denoise Curve issue2463

> 2014-08-27    | c56348a7f6d2  | Torger
  Issue 1472: fix so multi-open brings up tabs in same order as in
  file browser

> 2014-08-26    | d19b07d18758  | Torger
  Issue 2406: Order the parallel thumbnail loading so it thumbs appear
  gradually in order, and don't use too many threads (to avoid long
  stalls).

> 2014-08-26    | 541f105cc855  | Torger
  Issue 2480: side-stretching of fix-ratio crops now stop at image
  edges

> 2014-08-25    | 2c98df196adb  | Torger
  Issue 2471: fix issue with picking out wrong maximum white for
  multiple white levels

> 2014-08-25    | 928e7d36befe  | Torger
  Issue 2442 portrait/landscape crop orientation now always short side
  horizontal/vertical

> 2014-08-25    | 94ef30003c19  | Hombre
  Fix a warning in clutstore.h

> 2014-08-25    | 99df5256036e  | Hombre
  Solving issue 2411: "HaldCLUT: Film emulation from G'MIC in
  RawTherapee"

> 2014-08-20    | 16a2146921d4  | Ingo
  Broken Dark Frame subtraction when Auto-selection of Dark Frame is
  enabled, Issue 2472

> 2014-08-19    | cca42b7a3f75  | Torger
  Fixed P40/P65+ decoding bug (will come in next update of dcraw)

> 2014-08-14    | 6b7e968f0cae  | DrSlony
  Added missing colon after PREFERENCES_FLATFIELDSDIR

> 2014-08-12    | 0241f989244d  | Ingo
  Extremely slow filebrowser on Win64, Issue 2431

> 2014-08-11    | 47fc64906375  | DrSlony
  Updated the text, removed newlines - let the window manage the
  wrapping.

> 2014-08-08    | 7d2f58bfd294  | Michael Ezra
  Show filename of currently opened image in titlebar (issue 2450)
  Thanks for help, Ingo!

> 2014-08-06    | a52afcd42179  | DrSlony
  Introduced new RELEASE_NOTES.txt for development versions, to be
  replaced with RELEASE_NOTES_stable.txt when we tag a stable version.

> 2014-08-01    | fb994c7a5c99  | DrSlony
  Updated Japanese interface translation on behalf of Firefly, issue
  2459

> 2014-07-28    | 69dded769f90  | Jacques Desmis
  Fixed - Lab 'a' and 'b' curves are not behaving as expected
  issue2462

> 2014-07-24    | 2f96f8a34c46  | Jacques Desmis
  Fixed - refreshing the preview in the Median NR module - issue2014
  issue2423

> 2014-07-16    | b9cd976da5d9  | DrSlony
  Updated Japanese and default, and re-generated all language files

> 2014-07-15    | 4e1f374e23de  | Hombre
  Adding per curve default curve capabilities, used in the Color
  Toning tool as of now. See issue 2014

> 2014-07-13    | 78a6ef223bc7  | Hombre
  Solving issue 2451: "Compilation problems on arch. other than
  x86_64"

> 2014-07-10    | 7d2c1fef0057  | Ingo
  small changes for FF clip control code to prepare Hombre's upcoming
  patch, no Issue

> 2014-07-09    | 72e1ff9f3153  | Michael Ezra
  Enhanced Filters for Flat-Field and Dark-Frame filechoosers (see
  issue 2440)

> 2014-07-10    | f797918e46d4  | Ingo
  Support for Fuji X-Trans-Sensor, Issue 2415 (thanks to Hombre for
  the changes to gui); Clip Control for Flat Field correction, Issue
  2441; Update to dcraw 9.22 1.467

> 2014-07-09    | eacf79da6d3f  | Ingo
  Crash when using SETM and F3/F4, Issue 2361

> 2014-07-09    | 6c8ab56a0a64  | Ingo
  Denoise crashes using high zoom levels, Issue 2434

> 2014-07-09    | feac780ae68b  | DrSlony
  Issue 2417:Do not install licenses or fonts to ${BINDIR}

> 2014-07-08    | 5e8935770c2d  | DrSlony
  Polishing Color Toning and Median patches

> 2014-07-07    | 087d615f0710  | Jacques Desmis
  Improving medians Denoise issue2423

> 2014-07-07    | cb8766844bb9  | Jacques Desmis
  Color Toning issue2014

> 2014-06-25    | 10f5a41758ce  | Jacques Desmis
  Additional Median filter for Denoise issue2423

> 2014-06-25    | 82ed8254d381  | Michael Ezra
  Enable opening two separate files with the same filename (issue 2268
  - Thanks, Ingo!)

> 2014-06-25    | 40ae142e3a26  | Torger
  Rerun preprocess when changing to or from mono demosaicer

> 2014-06-22    | fbdd01ee1f79  | Ingo
  Win64 build crashes opening folder containing MRW files, Issue 2425

> 2014-06-20    | a6607fd58281  | Torger
  Added support for monochrome cameras (like Leica Monochrome) and IR-
  modified bayer cameras through new demosaicer "mono"

> 2014-06-20    | 111c20c52b46  | Torger
  camconst.json: Added Phase One IQ250

> 2014-06-20    | f5fc41637d00  | Torger
  camconst.json: Added Hasselblad H5D-50c, fixed H5D-40

> 2014-06-18    | 00cbe035d1d9  | Ingo
  Fix opening HDR DNG with frame and different black/white levels,
  Issue 2413, kudos to Javier

> 2014-06-18    | 399621fb2eac  | Ingo
  Profile copy/paste with Ctrl/Shift-Insert, Issue 2418

> 2014-06-17    | da558096e08a  | Ingo
  Update to dcraw 9.21, Revision 1.463

> 2014-06-14    | ac8a84274647  | Hombre
  Normalizing line endings to DOS in color.cc

> 2014-06-14    | fa026891d451  | Hombre
  Adding more possibilities to the ColorProvider class

> 2014-06-12    | f2f2deb79dd6  | Torger
  Line feed normalization (DOS); added Leaf Credo 40/60/80

> 2014-06-11    | d42f54e063cf  | Ingo
  Shadows from S/H broken on small JPEG files, Issue 2408

> 2014-06-11    | 741d8d10a99e  | DrSlony
  Fixed bad spelling of our program name in
  WindowsEnvironmentSetup.html

> 2014-06-05    | f87962c15a13  | Ingo
  when demosaic method 'none' is selected, use it for all zoom levels,
  Issue 2247 comment 7

> 2014-06-04    | 3b8514d56d99  | Ingo
  Memory leak when applying profile to hdr raw files in filebrowser,
  Issue 2407

> 2014-06-04    | c91e64a681d4  | Ingo
  enhanced support for Nikon D610, Issue 2348, comment #33 (Kudos to
  Ilias)

> 2014-06-03    | 3fab2ca1619a  | Ingo
  Black output image when using ciecam02 and tone-mapping, Issue 2404

> 2014-05-29    | 26e5a81d4f33  | Michael Ezra
  Unicode font for Navigtor for windows and 3-rd party license
  distribution mechanism (issue 2333 comment 41)

> 2014-05-29    | d1cf956728a5  | DrSlony
  Added gaaned92 to AUTHORS.txt

> 2014-05-26    | 6d86615df142  | Ingo
  Pentax K-500 DNG Focal Length wrong, Issue 2399

> 2014-05-26    | 320e548d67d7  | Torger
  More Hasselblad format support updates

> 2014-05-26    | 2f1fcd38a0e2  | Ingo
  Crash in 'Highlight Reconstruction Colour Propagation', Issue 2360

> 2014-05-26    | c145534d322e  | Ingo
  Speedup for ciecam, Issue 2350

> 2014-05-25    | eb2ca372d289  | Ingo
  Segfault closing second detail window before its done rendering,
  Issue 2395

> 2014-05-24    | 3d509455a442  | Torger
  Hasselblad identification and color matrix fixes for 31, 50 and 60
  megapixel backs

> 2014-05-24    | 266cc66e9e5e  | Torger
  Fixed Hasselblad H4D-60 format parsing (dcraw bug).

> 2014-05-23    | c4962b7a340a  | Ingo
  Improvement for Auto Distortion correction, Issue 2386

> 2014-05-21    | 58663ff4d991  | DrSlony
  Added tag 4.1 for changeset 1ab5c210ec1a

